name: postgresql
services:
  postgresql:
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      POSTGRES_USER: casaos
      POSTGRES_PASSWORD: casaos
      POSTGRES_DB: casaos
    image: postgres:17.2
    deploy:
      resources:
        reservations:
          memory: 2048M
    restart: unless-stopped
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: for UserID
        - container: PGID
          description:
            en_us: for GroupID
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: POSTGRES_DB
          description:
            en_us: Specify the name of a database to be created on image startup.
        - container: POSTGRES_USER
          description:
            en_us: Postgres server username
        - container: POSTGRES_PASSWORD
          description:
            en_us: Postgres server password
      volumes:
        - container: /var/lib/postgresql/data
          description:
            en_us: Directory where Postgres database data is stored
    ports:
      - target: 5432
        published: "5432"
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/AppData/postgresql/data
        target: /var/lib/postgresql/data
    container_name: postgresql
x-casaos:
  architectures:
    - amd64
    - arm
    - arm64
  main: postgresql
  description:
    en_us: |
      PostgreSQL is a powerful, open source object-relational database system with over 35 years of active development that has earned it a strong reputation for reliability, feature robustness, and performance.

      PostgreSQL is a highly stable database backed by more than 20 years of development by the open-source community.

      PostgreSQL is used as a primary database for many web applications as well as mobile and analytics applications.
    zh_cn: |
      PostgreSQL 是一款功能强大的开源对象关系型数据库系统，经过35年的积极开发，它以可靠性、功能稳定性和性能而闻名。

      PostgreSQL 是一个高度稳定的数据库，由开源社区进行了20多年的开发。

      PostgreSQL 被广泛应用于许多网络应用、移动应用和分析应用的主数据库。
    ar_sa: |
      PostgreSQL هو نظام قاعدة بيانات شامل وقوي مفتوح المصدر يعمل على تطويره منذ أكثر من 35 عامًا ويتمتع بسمعة قوية فيما يتعلق بالموثوقية والمرونة والأداء.

      PostgreSQL هو قاعدة بيانات مستقرة بشكل كبير وتم تطويرها على مدى أكثر من 20 عامًا من قبل المجتمع مفتوح المصدر.

      يُستخدم PostgreSQL كقاعدة بيانات رئيسية للعديد من تطبيقات الويب وتطبيقات الجوال وتطبيقات التحليل.
    de_de: |
      PostgreSQL ist ein leistungsstarkes, Open-Source-Objekt-Relationales Datenbankmanagementsystem, das seit über 35 Jahren aktiv entwickelt wird und einen starken Ruf hinsichtlich Zuverlässigkeit, Funktionsumfang und Leistung hat.

      PostgreSQL ist eine hochstabile Datenbank, die seit über 20 Jahren von der Open-Source-Community entwickelt wurde.

      PostgreSQL wird als primäre Datenbank in vielen Webanwendungen sowie in mobilen und Analyseanwendungen verwendet.
    es_es: |
      PostgreSQL es un sistema de gestión de bases de datos relacional de código abierto y potente que ha sido desarrollado activamente durante más de 35 años y ha ganado una sólida reputación en cuanto a confiabilidad, robustez de características y rendimiento.

      PostgreSQL es una base de datos altamente estable respaldada por más de 20 años de desarrollo realizado por la comunidad de código abierto.

      PostgreSQL se utiliza como base de datos principal en muchas aplicaciones web, así como en aplicaciones móviles y de análisis.
    fr_fr: |
      PostgreSQL est un puissant système de gestion de bases de données relationnelles open source qui bénéficie de plus de 35 ans de développement actif, lui conférant une solide réputation en termes de fiabilité, de robustesse des fonctionnalités et de performances.

      PostgreSQL est une base de données hautement stable, développée depuis plus de 20 ans par la communauté open source.

      PostgreSQL est utilisé comme base de données principale dans de nombreuses applications web, ainsi que dans des applications mobiles et d'analyse.
    hu_hu: |
      A PostgreSQL a világ egyik legnépszerűbb nyílt forráskódú objektum-relációs adatbázis rendszere. Az eredeti MySQL fejlesztői által készült és garantáltan nyílt forráskódú marad. A legtöbb felhőmegoldás része, és az alapértelmezett adatbázisrendszer a legtöbb Linux disztribúcióban.

      A PostgreSQL a teljesítmény, stabilitás és nyitottság értékein alapul, és a MariaDB Foundation garantálja, hogy a technikai érdemek alapján elfogadja a hozzájárulásokat. Az új funkciók között szerepel az összetett klaszterezés a Galera Cluster 4-gyel, a kompatibilitási funkciók az Oracle adatbázissal és az időszaki adattáblák, amelyek lehetővé teszik az adatok lekérdezését bármely korábbi időpontban.
    it_it: |
      PostgreSQL è un potente sistema di gestione di database relazionali open source, sviluppato attivamente da oltre 35 anni e con una solida reputazione di affidabilità, robustezza delle funzionalità e prestazioni.

      PostgreSQL è un database altamente stabile supportato da oltre 20 anni di sviluppo della comunità open source.

      PostgreSQL viene utilizzato come database primario in molte applicazioni web, nonché in applicazioni mobile e di analisi.
    ru_ru: |
      PostgreSQL – мощная система управления реляционными базами данных с открытым исходным кодом, разрабатываемая на протяжении более 35 лет. Она заслужила прочную репутацию благодаря надежности, мощным функциональным возможностям и высокой производительности.

      PostgreSQL – это стабильная база данных, над разработкой которой работает сообщество разработчиков более 20 лет.

      PostgreSQL широко используется в качестве основной базы данных для множества веб-приложений, а также мобильных и аналитических приложений.
    pl_pl: |
      PostgreSQL to potężny, open source'owy system zarządzania bazami danych relacyjnych, który jest rozwijany aktywnie od ponad 35 lat i cieszy się solidną reputacją pod względem niezawodności, wszechstronności funkcji oraz wydajności.

      PostgreSQL to bardzo stabilna baza danych, wspierana przez ponad 20 lat rozwoju przez społeczność open source.

      PostgreSQL jest wykorzystywany jako główna baza danych w wielu aplikacjach internetowych, a także aplikacjach mobilnych i analitycznych.
    pt_br: |
      O PostgreSQL é um poderoso sistema de gerenciamento de banco de dados relacional de código aberto, com mais de 35 anos de desenvolvimento ativo, o que lhe confere uma sólida reputação em termos de confiabilidade, robustez de recursos e desempenho.

      O PostgreSQL é um banco de dados altamente estável, respaldado por mais de 20 anos de desenvolvimento pela comunidade de código aberto.

      O PostgreSQL é usado como banco de dados principal em muitas aplicações web, bem como em aplicações móveis e de análise.
    tr_tr: |
      PostgreSQL, güçlü, açık kaynaklı bir nesne ilişkisel veritabanı yönetim sistemi olup 35 yılı aşkın aktif geliştirme süreciyle güvenilirlik, özellik sağlamlığı ve performans konularında sağlam bir üne sahiptir.

      PostgreSQL, açık kaynak topluluğu tarafından 20 yılı aşkın bir sürede geliştirilen son derece stabil bir veritabanıdır.

      PostgreSQL, birçok web uygulaması yanı sıra mobil ve analitik uygulamalar için birincil veritabanı olarak kullanılmaktadır.
    ja_jp: |
      PostgreSQLは、35年以上の積極的な開発を経て確かな信頼性と機能の堅牢さ、高いパフォーマンスを備えた強力なオープンソースのオブジェクトリレーショナルデータベースシステムです。

      PostgreSQLはオープンソースコミュニティによる20年以上の開発によって高度に安定したデータベースです。

      PostgreSQLは多くのWebアプリケーションやモバイルアプリケーション、分析アプリケーションで主要なデータベースとして使用されています。
    nl_nl: |
      PostgreSQL is een krachtig, open source object-relationeel databasebeheersysteem dat al meer dan 35 jaar actief wordt ontwikkeld en een sterke reputatie heeft opgebouwd op het gebied van betrouwbaarheid, functionaliteit en prestaties.

      PostgreSQL is een zeer stabiele database die wordt ondersteund door meer dan 20 jaar ontwikkeling door de open source gemeenschap.

      PostgreSQL wordt gebruikt als primaire database voor veel webapplicaties, evenals mobiele en analytische applicaties.
    ko_kr: |
      PostgreSQL은 35년 이상의 뛰어난 활발한 개발을 통해 신뢰성, 기능의 견고함, 성능 측면에서 강력한 평판을 가진 강력한 오픈 소스 객체 관계형 데이터베이스 시스템입니다.

      PostgreSQL은 오픈 소스 커뮤니티에 의해 20년 이상 개발된 매우 안정적인 데이터베이스입니다.

      PostgreSQL은 많은 웹 애플리케이션 및 모바일 및 분석 애플리케이션에서 기본 데이터베이스로 사용됩니다.
  tagline:
    en_us: PostgreSQL is an advanced, enterprise-class, and open-source relational database system. PostgreSQL supports both SQL (relational) and JSON (non-relational) querying.
    zh_cn: PostgreSQL 是一种先进的、企业级的、开源的关系型数据库系统。PostgreSQL 支持 SQL（关系型）和 JSON（非关系型）查询。
    ar_sa: PostgreSQL هو نظام قاعدة بيانات علاقية متقدمة ومتطورة ومفتوح المصدر. يدعم PostgreSQL استعلامات SQL (العلاقية) و JSON (غير العلاقية).
    de_de: PostgreSQL ist ein fortschrittliches, unternehmensfähiges und Open-Source-Relationales-Datenbank-System. PostgreSQL unterstützt sowohl SQL (relationale) als auch JSON (nicht-relationale) Abfragen.
    es_es: PostgreSQL es un sistema de base de datos relacional avanzado, de clase empresarial y de código abierto. PostgreSQL admite consultas tanto SQL (relacional) como JSON (no relacional).
    fr_fr: PostgreSQL est un système de gestion de base de données relationnelle avancé, de classe entreprise et open source. PostgreSQL prend en charge à la fois les requêtes SQL (relationnelles) et JSON (non relationnelles).
    hu_hu: A PostgreSQL egy fejlett, vállalati szintű, nyílt forráskódú relációs adatbázis rendszer. A PostgreSQL támogatja mind a SQL (relációs), mind a JSON (nem relációs) lekérdezéseket.
    it_it: PostgreSQL è un sistema di database relazionale avanzato, di classe enterprise e open source. PostgreSQL supporta sia le query SQL (relazionali) che le query JSON (non relazionali).
    ru_ru: PostgreSQL - это продвинутая, корпоративного класса, открытая реляционная система управления базами данных. PostgreSQL поддерживает как SQL (реляционный), так и JSON (нереляционный) запросы.
    pl_pl: PostgreSQL to zaawansowany, przeznaczony do zastosowań przedsiębiorczych i dostępny jako oprogramowanie open source system baz danych relacyjnych. PostgreSQL obsługuje zarówno zapytania SQL (relacyjne), jak i zapytania JSON (nierelacyjne).
    pt_br: O PostgreSQL é um sistema avançado de banco de dados relacional, de classe empresarial e de código aberto. O PostgreSQL suporta tanto consultas SQL (relacionais) quanto consultas JSON (não relacionais).
    sv_se: PostgreSQL är ett avancerat, företagsklassat och öppen källkod-relationellt databassystem. PostgreSQL stöder både SQL (relationell) och JSON (icke-relationell) frågning.
    uk_ua: PostgreSQL - це передова, корпоративного класу та відкрита система управління реляційними базами даних. PostgreSQL підтримує як SQL (реляційний), так і JSON (нереляційний) запити.
  developer: PostgreSQL Global Dev't Group
  author: WisdomSky
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/PostgreSQL/icon.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/PostgreSQL/icon.png
  tips:
    before_install:
      en_us: |
        Default user: `casaos`
        Default password: `casaos`
        Default database: `casaos`
  title:
    en_us: PostgreSQL
  category: Developer
